package com.jpsoft.shinestar.modules.business.dao;

import com.jpsoft.shinestar.modules.business.entity.FillAttendance;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface FillAttendanceDAO {
	int insert(FillAttendance entity);
	int update(FillAttendance entity);
	int exist(String id);
	FillAttendance get(String id);
	int delete(String id);
	List<FillAttendance> list();
	List<FillAttendance> search(Map<String, Object> searchParams, List<Sort> sortList);

    FillAttendance findByBusinessWorkAttendanceId(String businessWorkAttendanceId);
}